Loading...
Searching...
No Matches
XrdNetPeer Class Reference

`#include <XrdNetPeer.hh>`

Collaboration diagram for XrdNetPeer:

## Public Member Functions

| XrdNetPeer ()
| ~XrdNetPeer ()

## Public Attributes

int | fd
XrdNetSockAddr | Inet
XrdNetBuffer * | InetBuff
char * | InetName

## Detailed Description

Definition at line 38 of file XrdNetPeer.hh.

## Constructor & Destructor Documentation

## XrdNetPeer()

XrdNetPeer::XrdNetPeer | ( |  | ) |

inline

Definition at line 47 of file XrdNetPeer.hh.

{InetName = 0; InetBuff = 0;}
XrdNetPeer::InetBuff
XrdNetBuffer * InetBuff
Definition XrdNetPeer.hh:45
XrdNetPeer::InetName
char * InetName
Definition XrdNetPeer.hh:44

References InetBuff, and InetName.

## ~XrdNetPeer()

XrdNetPeer::~XrdNetPeer | ( |  | ) |

inline

Definition at line 48 of file XrdNetPeer.hh.

{if (InetName) free(InetName);
if (InetBuff) InetBuff->Recycle();
}

References InetBuff, and InetName.

## Member Data Documentation

## fd

int XrdNetPeer::fd

Definition at line 42 of file XrdNetPeer.hh.

Referenced by XrdNetMsg::XrdNetMsg(), XrdNet::Connect(), XrdNetRefresh::Register(), and XrdNet::Relay().

## Inet

XrdNetSockAddr XrdNetPeer::Inet

Definition at line 43 of file XrdNetPeer.hh.

Referenced by XrdNet::Connect(), and XrdNetRefresh::Register().

## InetBuff

XrdNetBuffer* XrdNetPeer::InetBuff

Definition at line 45 of file XrdNetPeer.hh.

Referenced by XrdNetPeer(), and ~XrdNetPeer().

## InetName

char* XrdNetPeer::InetName

Definition at line 44 of file XrdNetPeer.hh.

Referenced by XrdNetMsg::XrdNetMsg(), XrdNetPeer(), ~XrdNetPeer(), XrdNet::Accept(), XrdNet::Connect(), and XrdNetRefresh::Register().

The documentation for this class was generated from the following file:

- XrdNetPeer.hh